cURL
curl --request POST \
--url https://api.useanima.sh/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"orgId": "<string>",
"email": "jsmith@example.com",
"provisionPhone": false,
"metadata": {},
"voiceId": "<string>",
"inboxId": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/agents"
payload = {
"name": "<string>",
"slug": "<string>",
"orgId": "<string>",
"email": "jsmith@example.com",
"provisionPhone": False,
"metadata": {},
"voiceId": "<string>",
"inboxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
orgId: '<string>',
email: 'jsmith@example.com',
provisionPhone: false,
metadata: {},
voiceId: '<string>',
inboxId: '<string>'
})
};
fetch('https://api.useanima.sh/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'orgId' => '<string>',
'email' => 'jsmith@example.com',
'provisionPhone' => false,
'metadata' => [
],
'voiceId' => '<string>',
'inboxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/agents"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"orgId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"provisionPhone\": false,\n \"metadata\": {},\n \"voiceId\": \"<string>\",\n \"inboxId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"orgId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"provisionPhone\": false,\n \"metadata\": {},\n \"voiceId\": \"<string>\",\n \"inboxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"orgId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"provisionPhone\": false,\n \"metadata\": {},\n \"voiceId\": \"<string>\",\n \"inboxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "ACTIVE",
"apiKeyPrefix": "<string>",
"keyRotatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"voiceId": "<string>",
"emailIdentities": [
{
"id": "<string>",
"email": "jsmith@example.com",
"domain": "<string>",
"localPart": "<string>",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"phoneIdentities": [
{
"id": "<string>",
"phoneNumber": "<string>",
"providerId": "<string>",
"capabilities": {
"sms": false,
"mms": false,
"voice": false
},
"tenDlcStatus": "PENDING",
"isPrimary": true,
"voiceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"readiness": {
"canSendEmail": true,
"canReceiveEmail": true,
"canSendSms": true,
"canPlaceVoiceCall": true,
"blockers": [
{
"code": "IDENTITY_NOT_VERIFIED",
"field": "<string>",
"hint": "<string>",
"remediationUrl": "<string>"
}
]
}
}API Reference
Post agents
POST
/
agents
cURL
curl --request POST \
--url https://api.useanima.sh/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"orgId": "<string>",
"email": "jsmith@example.com",
"provisionPhone": false,
"metadata": {},
"voiceId": "<string>",
"inboxId": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/agents"
payload = {
"name": "<string>",
"slug": "<string>",
"orgId": "<string>",
"email": "jsmith@example.com",
"provisionPhone": False,
"metadata": {},
"voiceId": "<string>",
"inboxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
orgId: '<string>',
email: 'jsmith@example.com',
provisionPhone: false,
metadata: {},
voiceId: '<string>',
inboxId: '<string>'
})
};
fetch('https://api.useanima.sh/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'orgId' => '<string>',
'email' => 'jsmith@example.com',
'provisionPhone' => false,
'metadata' => [
],
'voiceId' => '<string>',
'inboxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/agents"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"orgId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"provisionPhone\": false,\n \"metadata\": {},\n \"voiceId\": \"<string>\",\n \"inboxId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"orgId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"provisionPhone\": false,\n \"metadata\": {},\n \"voiceId\": \"<string>\",\n \"inboxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"orgId\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"provisionPhone\": false,\n \"metadata\": {},\n \"voiceId\": \"<string>\",\n \"inboxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "ACTIVE",
"apiKeyPrefix": "<string>",
"keyRotatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"voiceId": "<string>",
"emailIdentities": [
{
"id": "<string>",
"email": "jsmith@example.com",
"domain": "<string>",
"localPart": "<string>",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"phoneIdentities": [
{
"id": "<string>",
"phoneNumber": "<string>",
"providerId": "<string>",
"capabilities": {
"sms": false,
"mms": false,
"voice": false
},
"tenDlcStatus": "PENDING",
"isPrimary": true,
"voiceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"readiness": {
"canSendEmail": true,
"canReceiveEmail": true,
"canSendSms": true,
"canPlaceVoiceCall": true,
"blockers": [
{
"code": "IDENTITY_NOT_VERIFIED",
"field": "<string>",
"hint": "<string>",
"remediationUrl": "<string>"
}
]
}
}Authorizations
BearerAuthApiKeyAuth
Body
application/json
Request body for creating a new agent
Response
200 - application/json
OK
Full agent resource representation
